Subject: Re: [eman] [secdir] [new-work] WG Review: Energy Management (eman)

From: Juergen Quittek <[email-masked]>
Date: Wed, 22 Sep 2010 10:43:39 +0000

Dear IESG,

I have two proposals for modifications to the proposed eman charter:

1. For mentioning low resourced and lossy network devices I would suggest
extending the third paragraph:

OLD 3rd paragraph:
   A particular difference between energy management and other management
   tasks is that in some cases energy consumption of a device is not
   measured at the device itself but reported by a different place. For
   example, at a Power over Ethernet (PoE) sourcing device or at a smart
   power strip, in which cases one device is effectively metering another
   remote device. This requires a clear definition of the relationship
   between the reporting devices and identification of remote devices for
   which monitoring information is provided. Similar considerations will
   apply to power state control of remote devices, for example, at a PoE
   sourcing device that switches on and off power at its ports.

NEW 3rd paragraph (text appended at the end of it):
   A particular difference between energy management and other management
   tasks is that in some cases energy consumption of a device is not
   measured at the device itself but reported by a different place. For
   example, at a Power over Ethernet (PoE) sourcing device or at a smart
   power strip, in which cases one device is effectively metering another
   remote device. This requires a clear definition of the relationship
   between the reporting devices and identification of remote devices for
   which monitoring information is provided. Similar considerations will
   apply to power state control of remote devices, for example, at a PoE
   sourcing device that switches on and off power at its ports. Another
   example scenario for energy management is a gateway to low resourced
   and lossy network devices in wireless a building network. Here the
   energy management system talks directly to the gateway but not
   necessarily to other devices in the building network.

2. It would be good to explicitly mention PCs in the list of devices to be
monitored, because they consume a lot of enrgy and current drafts already
consider existing PC power management standards such as ACPI:

OLD work item 2 (Energy management framework), line s 5-6:
   framework will focus on energy management for IP-based network equipment
   (routers, switches, IP cameras, phones and the like).
NEW work item 2 (Energy management framework), line s 5-6:
   framework will focus on energy management for IP-based network equipment
   (routers, switches, PCs, IP cameras, phones and the like).
                       ^^^^

Thanks,

    Juergen

On 14.09.10 23:39  "IESG Secretary" <[email-masked]> wrote:

> A new IETF working group has been proposed in the Operations and
> Management Area.  The IESG has not made any determination as yet. The
> following draft charter was submitted, and is provided for informational
> purposes only. Please send your comments to the IESG mailing list
> ([email-masked]) by September 21, 2010.
> 
> Energy Management (eman)
> ---------------------------------------------------
> Current Status: Proposed Working Group
> 
> Last Modified: 2010-09-09
> 
> Chairs: TBD
> Area Director: Dan Romascanu ([email-masked])
> 
> Mailing List
> Address: [email-masked]
> To subscribe: https://www.ietf.org/mailman/listinfo/eman
> Archive: http://www.ietf.org/mail-archive/web/eman
> 
> Description of Working Group
> 
> Energy management is becoming an additional requirement for network
> management systems due to several factors including the rising and
> fluctuating energy costs, the increased awareness of the ecological
> impact of operating networks and devices, and the regulation of
> governments on energy consumption and production.
> 
> The basic objective of energy management is operating communication
> networks and other equipments with a minimal amount of energy while
> still providing sufficient performance to meet service level objectives.
> A discussion of detailed requirements has already started in the OPSAWG,
> but further exploration in the EMAN WG is needed.
> Today, most networking and network-attached devices neither monitor nor
> allow control energy usage as they are mainly instrumented for functions
> such as fault, configuration, accounting, performance, and security
> management. These devices are not instrumented to be aware of energy
> consumption. There are very few means specified in IETF documents for
> energy management, which includes the areas of power monitoring, energy
> monitoring, and power state control.
> The OPSAWG started working on a MIB module for monitoring energy
> consumption and power states of energy-aware devices and found that more
> than just a MIB module was needed to manage energy in networks. Rather a
> new framework for energy management needs to be developed first.
> 
> A particular difference between energy management and other management
> tasks is that in some cases energy consumption of a device is not
> measured at the device itself but reported by a different place. For
> example, at a Power over Ethernet (PoE) sourcing device or at a smart
> power strip, in which cases one device is effectively metering another
> remote device. This requires a clear definition of the relationship
> between the reporting devices and identification of remote devices for
> which monitoring information is provided. Similar considerations will
> apply to power state control of remote devices, for example, at a PoE
> sourcing device that switches on and off power at its ports.
> 
> The WG will investigate existing standards such as those from the IEC,
> ANSI, DMTF and others, and reuse existing work as much as possible.
> The EMAN WG will work on the management of energy-aware devices, covered
> by the following items :
> 
> 1. Requirements for energy management.
> The EMAN WG will develop a requirements document that will specify
> energy management properties that will allow networks and devices to
> become energy aware. In addition to energy awareness requirements, the
> need for control functions will be discussed. Specifically the need to
> monitor and control properties of devices that are remote to the
> reporting device should be discussed.
> 
> 2. Energy management framework.
> The EMAN WG will create a framework document that will describe
> extensions to current management framework, required for energy
> management. This includes: power and energy monitoring, power states,
> power state control, and potential power state transitions. The
> framework will focus on energy management for IP-based network equipment
> (routers, switches, IP cameras, phones and the like).
> Particularly, the relationships between reporting devices, remote
> devices, and monitoring probes (such as might be used in low-power and
> lossy networks) need to be elaborated. For the case of a device
> reporting on behalf of other devices and controlling those devices, the
> framework will address the issues of discovery and identification of
> remote devices.
> 
> 3. Energy-aware Networks and Devices MIB document
> 
> The EMAN WG will develop a MIB module for monitoring energy-aware
> networks and devices. The module will address devices identification,
> context information, and potential relationship between reporting
> devices, remote devices, and monitoring probes.
> 
> 4. Power and Energy Monitoring MIB document The EMAN WG will develop a
> document defining managed objects for monitoring of power states and
> energy consumption/production. The monitoring of power states includes:
> retrieving power states, properties of power states, current power
> state, power state transitions, and power state statistics.
> The managed objects will provide means for reporting detailed properties
> of the actual energy rate (power) and of accumulated energy. Further, it
> will provide information on electrical power quality.
> 
> 5. Battery MIB document
> The EMAN WG will develop a document defining managed objects for battery
> monitoring, which will provide means for reporting detailed properties
> of the actual charge, age, and state of a battery and of battery
> statistics.
> 
> 6. Applicability statement
> The EMAN WG will develop an applicability statement, describing the
> variety of applications that can use the energy framework and associated
> MIB modules. Potential examples are building networks, home energy
> gateway, etc. Finally, the document will also discuss relationships of
> the framework to other architectures and frameworks (such as smartgrid).
> The applicability statement will explain the relationship between the
> work in this WG and the other existing standards such as those from the
> IEC, ANSI, DMTF, and others.
> 
> Goals and Milestones
> 
> Dec 2010 Publish Internet draft on Energy Management Requirements
> Dec 2010 Publish Internet draft on Energy Management Framework
> Dec 2010 Publish Internet draft on Energy-aware Networks and Devices
> MIB
> Dec 2010 Publish Internet draft on Power and Energy Monitoring MIB
> Dec 2010 Publish Internet draft on Battery MIB
> Apr 2011 Publish Internet draft on Energy Management Applicability
> May 2011 Submit Internet draft on Energy Management Requirements
> for publication as Informational RFC
> Sep 2011 Submit Internet draft on Energy Management Framework
> for publication as Informational RFC
> Sep 2011 Submit Internet draft on Energy-aware Networks and Devices
> MIB for publication as Standard Track RFC
> Sep 2011 Submit Internet draft on Power and Energy Monitoring MIB
> for publication as Standard Track RFC
> Sep 2011 Submit Internet draft on Battery MIB
> for publication as Standard Track RFC
> Dec 2011 Submit Internet draft on Energy Management Applicability
> for publication as Informational RFC
> 
> _______________________________________________
> new-work mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/new-work
> _______________________________________________
> secdir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/secdir

---

From: Juergen Quittek <[email-masked]>
Date: Wed, 22 Sep 2010 12:27:17 +0000

Dear all,

Here is a version of the eman charter proposal
including the changes that I suggested.

Best regards,

    Juergen

Energy Management (eman)

Chairs: TBD

Mailing List
Address: [email-masked]

The WG will investigate existing standards such as those from the IEC,
ANSI, DMTF and others, and reuse existing work as much as possible.
The EMAN WG will work on the management of energy-aware devices,
Covered by the following items:

5. Battery MIB document

Goals and Milestones